Page MenuHomePhabricator

Deploy ORES (revscoring 2.0)
Closed, ResolvedPublic

Description

I've branched revscoring 1 in case we need to rollback or hotfix: STABLE_REVSCORING_1

Steps to deploy revscoring 2:

  • git checkout master
  • git submodule sync
  • git submodule update -i
  • scap -r HEAD (to be absolutely sure)

Let's track response time and see if it settles back to Revscoring 1 levels:
https://grafana.wikimedia.org/dashboard/db/ores?panelId=15&fullscreen&orgId=1&from=1509642703143&to=1509645782784

Settled!

Related Objects

Event Timeline

Halfak created this task.Sep 6 2017, 5:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2017, 5:15 PM
awight triaged this task as High priority.Sep 11 2017, 4:31 PM

Change 377333 had a related patch set uploaded (by Halfak; owner: halfak):
[research/ores/wheels@master] Bumps revscoring to 2.0.6

https://gerrit.wikimedia.org/r/377333

This deployment has been delayed substantially. We were originally targeting 9/20, then 9/25. Now it seems likely that we'll not be able to deploy this until early October.

Change 379935 had a related patch set uploaded (by Halfak; owner: halfak):
[mediawiki/services/ores/deploy@master] Updates for revscoring 2.0.x

https://gerrit.wikimedia.org/r/379935

Change 379935 merged by Ladsgroup:
[mediawiki/services/ores/deploy@master] Updates for revscoring 2.0.x

https://gerrit.wikimedia.org/r/379935

awight added a subscriber: Catrope.Oct 11 2017, 5:43 PM
awight added a subscriber: awight.

Change 377333 abandoned by Halfak:
Bumps revscoring to 2.0.6

https://gerrit.wikimedia.org/r/377333

Mentioned in SAL (#wikimedia-releng) [2017-10-16T19:57:00Z] <halfak> deploying ores 0f3fe9f T175180

Mentioned in SAL (#wikimedia-releng) [2017-10-16T20:11:14Z] <halfak> deploying ores 0f3fe9f T175180 (second attempt)

Mentioned in SAL (#wikimedia-releng) [2017-10-16T20:36:42Z] <halfak> deploying ores 42c5663 T175180 (rolling back)

Mentioned in SAL (#wikimedia-releng) [2017-10-16T20:48:55Z] <halfak> deploying ores fb55ab8 T175180 (fixes eswiki)

Mentioned in SAL (#wikimedia-operations) [2017-10-24T17:07:02Z] <awight@tin> Started deploy [ores/deploy@fb55ab8]: Update ORES to revscoring 2.x, T175180

Mentioned in SAL (#wikimedia-operations) [2017-10-24T18:16:25Z] <awight@tin> Started deploy [ores/deploy@fb55ab8]: Update ORES to revscoring 2.x, T175180 (take 2)

Mentioned in SAL (#wikimedia-operations) [2017-10-24T18:26:28Z] <awight@tin> Finished deploy [ores/deploy@fb55ab8]: Update ORES to revscoring 2.x, T175180 (take 2) (duration: 10m 03s)

Mentioned in SAL (#wikimedia-operations) [2017-10-24T18:47:07Z] <awight@tin> Started deploy [ores/deploy@fb55ab8]: Rollback ORES to Revscoring 1.0, T175180

Rolled back due to a bug in the v1 routes.

Change 386252 had a related patch set uploaded (by Halfak; owner: halfak):
[mediawiki/services/ores/deploy@master] Bumps submodules/ores -- fixes v1 model_info

https://gerrit.wikimedia.org/r/386252

Change 386252 merged by Ladsgroup:
[mediawiki/services/ores/deploy@master] Bumps submodules/ores -- fixes v1 model_info

https://gerrit.wikimedia.org/r/386252

Mentioned in SAL (#wikimedia-operations) [2017-10-24T18:57:20Z] <awight@tin> Finished deploy [ores/deploy@fb55ab8]: Rollback ORES to Revscoring 1.0, T175180 (duration: 10m 13s)

Mentioned in SAL (#wikimedia-operations) [2017-10-26T17:11:37Z] <awight@tin> Started deploy [ores/deploy@971be22]: ORES w/ revscoring 2 and Celery 4, T175180 T178441

Mentioned in SAL (#wikimedia-operations) [2017-10-26T17:14:57Z] <awight@tin> Finished deploy [ores/deploy@971be22]: ORES w/ revscoring 2 and Celery 4, T175180 T178441 (duration: 03m 20s)

Mentioned in SAL (#wikimedia-operations) [2017-10-26T17:16:49Z] <awight@tin> Started deploy [ores/deploy@971be22]: Rolling back scb1002, T175180 T178441

Mentioned in SAL (#wikimedia-operations) [2017-10-26T17:17:22Z] <awight@tin> Finished deploy [ores/deploy@971be22]: Rolling back scb1002, T175180 T178441 (duration: 00m 32s)

awight claimed this task.Oct 31 2017, 4:50 PM
awight updated the task description. (Show Details)
awight updated the task description. (Show Details)Oct 31 2017, 4:59 PM

Change 387613 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/services/ores/deploy@master] Remove the virtualenv directory each time

https://gerrit.wikimedia.org/r/387613

Change 387619 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/services/ores/deploy@master] Remove the virtualenv directory each time

https://gerrit.wikimedia.org/r/387619

Change 387622 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/services/ores/deploy@STABLE_REVSCORING_1] Remove the virtualenv directory each time

https://gerrit.wikimedia.org/r/387622

Change 387613 abandoned by Awight:
Remove the virtualenv directory each time

https://gerrit.wikimedia.org/r/387613

Change 387619 merged by Ladsgroup:
[mediawiki/services/ores/deploy@master] Remove the virtualenv directory each time

https://gerrit.wikimedia.org/r/387619

Change 387622 merged by Ladsgroup:
[mediawiki/services/ores/deploy@STABLE_REVSCORING_1] Remove the virtualenv directory each time

https://gerrit.wikimedia.org/r/387622

Mentioned in SAL (#wikimedia-operations) [2017-11-02T17:08:42Z] <awight@tin> Started deploy [ores/deploy@0e54a3c]: revscoring 2, T175180

Mentioned in SAL (#wikimedia-operations) [2017-11-02T17:42:31Z] <awight@tin> Finished deploy [ores/deploy@0e54a3c]: revscoring 2, T175180 (duration: 33m 50s)

awight updated the task description. (Show Details)Nov 2 2017, 6:10 PM
awight moved this task from Pending deployment to Done on the Scoring-platform-team (Current) board.
Rical added a subscriber: Rical.Nov 28 2017, 7:57 AM

In T141177, I expressed that Wikipedia main content losts sources when edits are reverted.
ORES seems a good way to answer to that.

Rical added a comment.EditedNov 28 2017, 9:05 AM

About sources in edits, ORES could better estimate souces, edits, intentions of the author of the edit, and intentions of the patroler, depending also of each article.

Rical removed a subscriber: Rical.Mar 20 2018, 9:55 AM